function atob(b64) {
    return window.atob(b64);
}

function btoa(bin) {
    return window.btoa(bin);
}

function toBase64(string) {
    return window.btoa(unescape(encodeURIComponent(string)));
}

function fromBase64(b64) {
    return decodeURIComponent(escape(window.atob(b64)));
}

function toBinaryString(b64u) {
    return atob(b64u.replace(/-/g, '+').replace(/_/g, '/'));
}

function fromBinaryString(binaryString, padding) {
    return btoa(binaryString).replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, padding ? '=' : '');
}

function toBase64Url(binaryString, padding) {
    return toBase64(binaryString).replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, padding ? '=' : '');
}

function fromBase64Url(b64u) {
    return fromBase64(b64u.replace(/-/g, '+').replace(/_/g, '/'));
}

var encode = toBase64Url;
var decode = fromBase64Url;

export { toBinaryString, fromBinaryString, toBase64Url, fromBase64Url, encode, decode };
//# sourceMappingURL=b64u-lite.mjs.map
