
var b64Lite = require('b64-lite');

function toBinaryString(b64u) {
    return b64Lite.atob(b64u.replace(/-/g, '+').replace(/_/g, '/'));
}

function fromBinaryString(binaryString, padding) {
    return b64Lite.btoa(binaryString).replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, padding ? '=' : '');
}

function toBase64Url(binaryString, padding) {
    return b64Lite.toBase64(binaryString).replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, padding ? '=' : '');
}

function fromBase64Url(b64u) {
    return b64Lite.fromBase64(b64u.replace(/-/g, '+').replace(/_/g, '/'));
}

var encode = toBase64Url;
var decode = fromBase64Url;

exports.toBinaryString = toBinaryString;
exports.fromBinaryString = fromBinaryString;
exports.toBase64Url = toBase64Url;
exports.fromBase64Url = fromBase64Url;
exports.encode = encode;
exports.decode = decode;
//# sourceMappingURL=b64u-lite.js.map
