import { atob, btoa, fromBase64, toBase64 } from 'b64-lite';

function toBinaryString(b64u) {
    return atob(b64u.replace(/-/g, '+').replace(/_/g, '/'));
}

function fromBinaryString(binaryString, padding) {
    return btoa(binaryString).replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, padding ? '=' : '');
}

function toBase64Url(binaryString, padding) {
    return toBase64(binaryString).replace(/\+/g, '-').replace(/\//g, '_').replace(/=/g, padding ? '=' : '');
}

function fromBase64Url(b64u) {
    return fromBase64(b64u.replace(/-/g, '+').replace(/_/g, '/'));
}

var encode = toBase64Url;
var decode = fromBase64Url;

export { toBinaryString, fromBinaryString, toBase64Url, fromBase64Url, encode, decode };
//# sourceMappingURL=b64u-lite.mjs.map
